<?php
    /**
     * Template Name: Custom Tab Page
     *
     * @package Theme Palace
     * @subpackage EduMag Pro
     * @since EduMag Pro 1.0
     */
    get_header();
 	global $post;
    $page_title = get_the_title();
    ?>
    <div class="container page-section">
    	<?php 
    	$categories_id = get_post_meta( $post->ID, 'edumag-pro-tab-category', true );

    	if ( empty( $categories_id ) ) : ?>
    		<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">
					<?php get_template_part( 'template-parts/content', 'page' ); ?>
				</main><!-- #main -->
			</div><!-- #primary -->
    	<?php else : ?>

	    <div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
	    		<section id="about-college">
	    			<?php if ( ! empty( $page_title ) ) : ?>
	              	<header class="entry-header wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
	                	<h2 class="entry-title"><?php echo esc_html( $page_title ); ?></h2>
	              	</header><!--.entry-header-->
	              	<?php endif; ?>

	            	<div class="entry-content two-columns">
		                <div class="tab-section  wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
		                  	<ul class="tabs">
			                    <li class="tab-link active" data-tab="tab-template-all"><a href="#."><?php esc_html_e( 'All', 'edumag-pro' ); ?></a></li>
			                    <?php foreach ( $categories_id as $key => $category_id ) {
			                    	$category_object = get_category( $category_id );
			                    	echo '<li class="tab-link" data-tab="tab-template-'. esc_attr( $category_object->slug ) .'"><a href="#.">'. esc_html( $category_object->name ) .'</a></li>';
			                    } ?>
		                  	</ul>
		                </div><!--.tab-section-->

		                <div id="tab-template-all" class="tab-content active">
		                  	<div class="row wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
		                    <?php
		                    	$args = array(
									'category__in'   => $categories_id,
									'posts_per_page' => 20,
		                    	);

		                    	$category_posts = get_posts( $args );

		                    	if ( ! empty( $category_posts ) ) : 
		                    		$i = 1;
		                    		$count = count( $category_posts );
		                    		foreach ( $category_posts as $key => $category_post ) {
		                    			$post_id = $category_post->ID;
		                    			$img_array = array();

		                    			if( has_post_thumbnail( $post_id ) ){
		                    				$img_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'edumag-pro-featured-popular-article' );
                						} else {
                    						$img_array[0] =  get_template_directory_uri().'/assets/uploads/no-featured-image-450x300.jpg';
                						}

										$post_title     = get_the_title( $post_id );
										$post_content   = edumag_pro_trim_content( 15, $category_post );
										$post_url       = get_the_permalink( $post_id);
										$published_date = get_the_date( '', $post_id );
										$category_name  = get_the_category( $post_id )[0]->name;
										$categry_url    = get_category_link( $post_id );

					                    if( function_exists( 'tp_education_like_button' ) ){
					                        $like_string = tp_education_like_button();
					                        $like_string = '<span class="screen-reader-text">' . esc_html__( 'Likes', 'edumag-pro' ) . '</span>' . $like_string;
					                    } else {
					                    	$like_string =  '';
					                    }

	                    			?>
	                    			<div class="column-wrapper">
		                    			<div class="article-wrapper"> 
					                        <div class="image-wrapper">
					                        	<a href="<?php echo esc_url( $post_url ); ?>"><img src="<?php echo esc_url( $img_array[0] ); ?>" alt="<?php echo esc_html( $post_id ); ?>"></a>
					                        	<p class="cat-links">
					                        		<a href="<?php echo esc_url( $categry_url ); ?>" class="category-name"><?php echo esc_html( $category_name ); ?></a>
					                        	</p><!-- .cat-links -->
					                        </div><!-- end .image-wrapper -->

					                        <div class="article-contents-wrapper">
					                        	<div class="article-title">
					                        	<?php if ( ! empty( $post_title ) ) : ?>
					                            	<h2><a href="<?php echo esc_url( $post_url ); ?>"><?php echo esc_html( $post_title ); ?></a></h2>
					                            	<div class="title-bottom-line"></div>
					                            <?php endif; ?>
					                        	</div><!-- .article-title -->

					                        	<?php if ( ! empty( $post_content ) ) : ?>
				                          		<div class="article-desc">
					                            	<p><?php echo esc_html( $post_content ); ?></p>
				                          		</div><!-- .article-desc -->
				                          		<?php endif;?>

					                          	<div class="article-entry-meta">
						                            <div class="pull-left">
						                            	<time><?php echo date_i18n( esc_html__( 'M d, Y', 'edumag-pro' ), strtotime( $published_date ) ); ?></time>
						                            </div><!--.pull-left-->

						                            <div class="pull-right">
						                            	<a href="<?php echo esc_url( $post_url ); ?>"><span><i class="fa fa-share-alt"></i></span></a>
						                            	<?php echo wp_kses_post( $like_string ); ?>
						                            </div><!--.pull-right-->
					                          	</div><!-- .article-entry-meta -->

					                        </div><!-- end .article-contents-wrapper -->
			                      		</div><!-- .article-wrapper -->
		                      		</div><!-- .column-wrapper -->
	                    			<?php
	                    				if( ( $i <= $count ) && ( $i % 2 == 0 ) ) echo '</div><!-- .row --><div class="row wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">';
	                    				$i++;
		                    		}
		                    	endif;
		                    	?>
			                    
		                  	</div><!-- .row -->

		                </div><!-- #tab-all -->
		                <?php foreach ( $categories_id as $key => $category_id ) :
		                	$category_object = get_category( $category_id );

		                	$tab_id = $category_object->slug;
		                	 ?>
		                <div id="tab-template-<?php echo esc_attr( $tab_id ); ?>" class="tab-content">

		                	<div class="row">
		                	<?php
		                    	$post_args = array(
		                    		'cat' => $category_id,
		                    		'posts_per_page' => 10,
		                    	);

		                    	$content_posts = get_posts( $post_args );

		                    	if ( ! empty( $content_posts ) ) : 
		                    		$j = 1;
		                    		$index = count( $content_posts );
		                    		foreach ( $content_posts as $key => $content_post ) {
		                    			$post_id = $content_post->ID;
		                    			$img_array = array();
		                    			if ( has_post_thumbnail( $post_id ) ) {
		                    				$img_array = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'edumag-pro-featured-popular-article' );
                						} else {
                    						$img_array[0] =  get_template_directory_uri().'/assets/uploads/no-featured-image-450x300.jpg';
                						}
										$post_title     = get_the_title( $post_id );
										$post_content   = edumag_pro_trim_content( 15, $content_post );
										$post_url       = get_the_permalink( $post_id);
										$published_date = get_the_date( '', $post_id );
										$category_name  = get_the_category( $post_id )[0]->name;
										$categry_url    = get_category_link( $post_id );

					                    if( function_exists( 'tp_education_like_button' ) ) {
					                        $like_string = tp_education_like_button();
					                        $like_string = '<span class="screen-reader-text">' . esc_html__( 'Likes', 'edumag-pro' ) . '</span>' . $like_string;
					                    } else {
					                    	$like_string =  '';
					                    }

	                    			?>
			                    	<div class="column-wrapper">
		                    			<div class="article-wrapper"> 
					                        <div class="image-wrapper">
					                        	<a href="<?php echo esc_url( $post_url ); ?>"><img src="<?php echo esc_url( $img_array[0] ); ?>" alt="<?php echo esc_html( $post_id ); ?>"></a>
					                        	<p class="cat-links">
					                        		<a href="<?php echo esc_url( $categry_url ); ?>" class="category-name"><?php echo esc_html( $category_name ); ?></a>
					                        	</p>
					                        </div><!-- end .image-wrapper -->

					                        <div class="article-contents-wrapper">
					                        	<div class="article-title">
					                        	<?php if ( ! empty( $post_title ) ) : ?>
					                            	<h2><a href="<?php echo esc_url( $post_url ); ?>"><?php echo esc_html( $post_title ); ?></a></h2>
					                            	<div class="title-bottom-line"></div>
					                            <?php endif; ?>
					                        	</div><!-- .article-title -->

					                        	<?php if ( ! empty( $post_content ) ) : ?>
				                          		<div class="article-desc">
					                            	<p><?php echo esc_html( $post_content ); ?></p>
				                          		</div><!-- .article-desc -->
				                          		<?php endif;?>

					                          	<div class="article-entry-meta">
						                            <div class="pull-left">
						                            	<time><?php echo date_i18n( esc_html__( 'M d, Y', 'edumag-pro' ), strtotime( $published_date ) ); ?></time>
						                            </div><!--.pull-left-->

						                            <div class="pull-right">
						                            	<a href="<?php echo esc_url( $post_url ); ?>"><span><i class="fa fa-share-alt"></i></span></a>
						                            	<?php echo wp_kses_post( $like_string ); ?>
						                            </div><!--.pull-right-->
					                          	</div><!-- .article-entry-meta -->

					                        </div><!-- end .article-contents-wrapper -->
			                      		</div><!-- .article-wrapper -->
		                      		</div><!-- .column-wrapper -->
			                	<?php 
			                		if ( ( $j <= $index ) && ( $j % 2 == 0 ) ) echo '</div><!-- .row --><div class="row">';
	                    			$j++;
			                	}
			                	endif; 
			                	?>
		                	</div><!-- .row -->

		                </div><!-- #tab-college -->
		            	<?php endforeach; ?>

		        	</div><!-- .entry-content -->
	            </section><!-- #about-college -->
	            <?php if ( is_active_sidebar( 'tab_page_template_advertisement_sidebar' ) ) { 
	            	dynamic_sidebar( 'tab_page_template_advertisement_sidebar' ); 
	            } ?>
	     	</main><!-- #main -->
		</div><!-- #primary -->
		<?php 
			endif;
			if ( edumag_pro_is_sidebar_enable() ) {
				get_sidebar();
			}
		?>
	</div><!-- .container -->
    <?php    
    get_footer();