<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

get_header(); ?>
<div class="container page-section">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', 'single' );

			/**
			* Hook edumag_pro_action_post_pagination
			*
			* @hooked edumag_pro_post_pagination
			*/
			do_action( 'edumag_pro_action_post_pagination' );

			/**
			* Custom Author Box in single.php
			*/
		    if( class_exists('Wp_Author_Profile_Box_Lite_Front') || class_exists('Wp_Author_Profile_Box_Front') ):
		        $author = '';
		        $author = apply_filters( 'custom_author', $author);
		        echo $author;

		    else:
		    	/**

				/**
				* Hook edumag_pro_author_profile
				*
				* @hooked edumag_pro_get_author_profile
				*/
				do_action( 'edumag_pro_author_profile' );
			endif;

			/**
			 * Hook edumag_pro_related_posts
			 *
			 * @hooked edumag_pro_get_related_posts
			 */
			do_action( 'edumag_pro_related_posts' );

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php
		if ( edumag_pro_is_sidebar_enable() ) {
			get_sidebar();
		}
	?>
</div><!-- .container -->

<?php
get_footer();
