<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

$options = edumag_pro_get_theme_options();
?>

<div class="courses-list three-columns">
	<div id="tab-gridview" class="tab-content active">
		<div class="row wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
			<?php 
			$i = 1;
			while ( have_posts() ) : the_post(); ?>
				<div class="column-wrapper">
					<div class="course-item">   
						<div class="image-wrapper"> 
							<a href="<?php the_permalink(); ?>">
								<?php 
								if ( has_post_thumbnail() ) : 
									the_post_thumbnail( 'edumag-pro-featured-popular-article', array( 'alt' => esc_attr( get_the_title() ) ) );
								else :
									$image_url = get_template_directory_uri() . '/assets/uploads/no-featured-image-450x300.jpg';
									echo '<img src="' . esc_url( $image_url ) . '" alt="' . esc_attr( get_the_title() ) . '">';
								endif;
								?>
							</a>
							<?php if ( class_exists( 'TP_Education' ) && ( is_post_type_archive( 'tp-course' ) || is_tax('tp-course-category')  ) ) : ?>
								<span class="price-tag"><?php tp_course_price( get_the_id() ); ?></span>
							<?php elseif ( class_exists( 'TP_Education' ) && ( is_post_type_archive( 'tp-class' ) || is_tax('tp-class-category') ) ) : ?>
								<span class="price-tag"><?php tp_class_cost( get_the_id() ); ?></span>
							<?php endif; ?>
						</div><!-- end .image-wrapper -->
						<div class="course-contents-wrapper">
							<div class="course-title">
								<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							</div><!-- end .course-title -->
							<div class="course-footer-content clear">
								<?php if( function_exists( 'tp_education_like_button' ) ) : ?>
								<div class="pull-left">
									<div class="comments"><?php echo tp_education_like_button(); ?></div>
								</div><!-- end .pull-left -->
								<?php endif; 
									if( class_exists( 'TP_Education' ) ) : ?>
								<div class="pull-right">
									<?php 
										if ( is_post_type_archive( 'tp-course' ) || is_tax('tp-course-category') ) 
											tp_course_duration(); 
										elseif ( is_post_type_archive( 'tp-event' ) || is_tax('tp-event-category') ) 
											tp_event_date(); 
										elseif ( is_post_type_archive( 'tp-class' ) || is_tax('tp-class-category') ) 
											tp_class_size();
										elseif ( is_post_type_archive( 'tp-excursion' ) || is_tax('tp-excursion-category') ) 
											tp_excursion_start_date();
										elseif ( is_post_type_archive( 'tp-affiliation' ) || is_tax('tp-affiliation-category') ) 
											tp_affiliation_link();
										elseif ( is_post_type_archive( 'tp-team' ) || is_tax('tp-team-category') ) 
											tp_team_designation();
										elseif ( is_post_type_archive( 'tp-testimonial' ) ) 
											tp_testimonial_rating();
									?>
								</div><!-- end ,pull-right -->
								<?php endif; ?>
							</div><!-- end .slide-description -->
						</div><!-- end .course-contents-wrapper -->
					</div><!-- end .course-item -->
				</div><!-- end .column-wrapper -->
			<?php 
			if ( $i % 3 == 0 ) { ?>
				</div><!-- .row -->
				<div class="row wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
			<?php }
			$i++;
			endwhile; ?>
		</div><!--.row-->
	</div><!-- end #tab-1 -->

	<div id="tab-listview" class="tab-content list-view">
		<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="column-wrapper">
					<div class="course-item has-post-thumbnail">
						<div class="image-wrapper"> 
							<a href="<?php the_permalink(); ?>">
								<?php 
								if ( has_post_thumbnail() ) : 
									the_post_thumbnail( 'edumag-pro-featured-popular-article', array( 'alt' => esc_attr( get_the_title() ) ) );
								else :
									$image_url = get_template_directory_uri() . '/assets/uploads/no-featured-image-450x300.jpg';
									echo '<img src="' . esc_url( $image_url ) . '" alt="' . esc_attr( get_the_title() ) . '">';
								endif;
								?>
							</a>
							<?php if ( class_exists( 'TP_Education' ) && ( is_post_type_archive( 'tp-course' ) || is_tax('tp-course-category') ) ) : ?>
								<span class="price-tag"><?php tp_course_price( get_the_id() ); ?></span>
							<?php elseif ( class_exists( 'TP_Education' ) && ( is_post_type_archive( 'tp-class' ) || is_tax('tp-class-category') ) ) : ?>
								<span class="price-tag"><?php tp_class_cost( get_the_id() ); ?></span>
							<?php endif; ?>
						</div><!-- end .image-wrapper -->
						<div class="course-contents-wrapper">
							<div class="course-title">
								<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
							</div><!-- end .course-title -->
							<div class="course-desc">
								<p><?php echo esc_html( edumag_pro_trim_content( 25 ) ); ?></p>
							</div><!-- .course-desc -->
							<div class="course-footer-content clear">
								<?php if( function_exists( 'tp_education_like_button' ) ) : ?>
								<div class="pull-left">
									<div class="comments"><?php echo tp_education_like_button(); ?></div>
								</div><!-- end .pull-left -->
								<?php endif; 
								if( class_exists( 'TP_Education' ) ) :?>
								<div class="pull-right">
									<?php 
										if ( is_post_type_archive( 'tp-course' ) || is_tax('tp-course-category') ) 
											tp_course_duration(); 
										elseif ( is_post_type_archive( 'tp-event' ) || is_tax('tp-event-category') ) 
											tp_event_date(); 
										elseif ( is_post_type_archive( 'tp-class' ) || is_tax('tp-class-category') ) 
											tp_class_size();
										elseif ( is_post_type_archive( 'tp-excursion' ) || is_tax('tp-excursion-category') ) 
											tp_excursion_start_date();
										elseif ( is_post_type_archive( 'tp-affiliation' ) || is_tax('tp-affiliation-category') ) 
											tp_affiliation_link();
										elseif ( is_post_type_archive( 'tp-team' ) || is_tax('tp-team-category') ) 
											tp_team_designation();
										elseif ( is_post_type_archive( 'tp-testimonial' ) ) 
											tp_testimonial_rating();
									?>
								</div><!-- end ,pull-right -->
								<?php endif; ?>
							</div><!-- end .slide-description -->
						</div><!-- end .course-contents-wrapper -->
					</div><!-- end .course-item -->
				</div><!-- end .column-wrapper -->
			<?php endwhile; ?>
		</div><!--.row-->
	</div><!-- end #tab-2 -->
</div><!--.courses-list-->
